#ifndef ViewSliders_h
#define ViewSliders_h

class TQBoxLayout;
class TQWidget;

class Mixer;
#include "viewbase.h"

class ViewSliders : public ViewBase
{
    TQ_OBJECT
  
public:
    ViewSliders(TQWidget* parent, const char* name, const TQString & caption, Mixer* mixer, ViewBase::ViewFlags vflags);
    ~ViewSliders();

    virtual int count();
    virtual int advice();
    virtual void setMixSet(MixSet *mixset);
    virtual TQWidget* add(MixDevice *mdw);
    virtual void constructionFinished();

    TQSize sizeHint() const;

public slots:
    virtual void refreshVolumeLevels();

private:
    TQBoxLayout* _layoutMDW;
};

#endif

